/**
 *    Copyright 2006 - 2011 Opera Software ASA
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 **/


(function()
{

  this.side_panel = function(views)
  {
    return views.map(this._side_panel_view, this);
  };

  this._side_panel_view = function(obj, index)
  {
    return (
    ['div',
      this._side_panel_header(obj, index),
      'data-view-index', String(index)
    ]);
  }

  this._side_panel_header = function(obj, index)
  {
    return ( 
    ['header',
      ['input',
        'type', 'button',
      ], //.concat(obj.is_unfolded ? ['class', 'unfolded'] : [] ),
      window.views[obj.view_id].name,
      'handler', 'toggle-panel-view'
    ]);
  }

}).apply(window.templates || (window.templates = {}));